%define mono_shared %{_builddir}/%{?buildsubdir}

Name:    banshee
Version: 1.4.0.1
Release: 1%{?dist}
Summary: Easily import, manage, and play selections from your music collection
Group:   Applications/Multimedia
License: MIT
URL:     http://banshee-project.org/
Source0: http://banshee-project.org/files/banshee/banshee-1-%{version}.tar.bz2
Source1: README.Fedora
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# We only have mono on these arches:
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc alpha ppc

# Versioned dependencies
BuildRequires: libmusicbrainz-devel >= 2.1.1
BuildRequires: mono-devel >= 1.1.10
BuildRequires: mono-zeroconf-devel >= 0.7.2
BuildRequires: hal-devel >= 0.5.6
BuildRequires: sqlite-devel >= 3.3
BuildRequires: gstreamer-devel >= 0.10
BuildRequires: gstreamer-plugins-base-devel >= 0.10
BuildRequires: gstreamer-plugins-good >= 0.10
BuildRequires: libmtp-devel >= 0.2.0

# Sharp
BuildRequires: ipod-sharp-devel avahi-sharp gtk-sharp2-devel taglib-sharp-devel gnome-sharp-devel

# Extra mono deps
BuildRequires: mono-data mono-data-sqlite mono-addins-devel

# Gnome/Glib
BuildRequires: gnome-desktop-devel nautilus-cd-burner-devel ndesk-dbus-glib-devel

# Misc
BuildRequires: gettext-devel perl(XML::Parser)

# No boo-devel for ppc but we owe it to the users to keep banshee up to date
%ifarch  %ix86 x86_64 sparc
BuildRequires: boo-devel
%endif

BuildRequires: desktop-file-utils

Requires:      podsleuth

%description
Banshee allows you to import CDs, sync your music collection to an iPod,
play music directly from an iPod, create playlists with songs from your
library, and create audio and MP3 CDs from subsets of your library.

%package devel
Summary: Development files for Banshee
Group: Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development files for Banshee Media Player

%prep
%setup -q -n %{name}-1-%{version}
cp -p %{SOURCE1} .

%build
export MONO_SHARED_DIR=%mono_shared
%configure  --disable-docs --with-gstreamer-0-10 --disable-helix \
            --enable-external-ndesk-dbus \
            --enable-mtp --enable-ipod --enable-podcast \
%ifnarch %ix86 x86_64 sparc
            --disable-boo \
%endif
            --disable-gstreamer-plugins-check
make

%install
%{__rm} -rf %{buildroot}
export MONO_SHARED_DIR=%mono_shared
make install DESTDIR=%{buildroot}

# clean-up .a archives
rm %{buildroot}%{_libdir}/banshee-1/gstreamer-*/lib*.a

desktop-file-install --vendor gnome --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-only-show-in=GNOME \
  %{buildroot}%{_datadir}/applications/banshee-1.desktop

%find_lang %name-1

%clean
%{__rm} -rf  %{buildroot}

%post
update-desktop-database %{_datadir}/applications

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database %{_datadir}/applications

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}-1.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog README README.Fedora NEWS
%{_bindir}/banshee-1
%{_libdir}/banshee-1
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.bansheeproject.Banshee.service
%{_datadir}/dbus-1/services/org.bansheeproject.CollectionIndexer.service
%{_datadir}/banshee-1/
%{_datadir}/icons/hicolor/*/apps/media-player-banshee.png
#%exclude %{_datadir}/icons/hicolor/icon-theme.cache
%exclude %{_libdir}/banshee-1/*.a
%exclude %{_libdir}/banshee-1/*.la

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/banshee-1-*.pc

%changelog
* Mon Nov 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.0.1-1
- update to 1.4.0.1

* Mon Oct 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.1-3
- bump for new gnome-sharp

* Mon Aug 25 2008 Michel Salim <salimma@fedoraproject.org> - 1.2.1-2
- Updated requirement: use podsleuth rather than libipoddevice

* Sun Aug 24 2008 Michel Salim <salimma@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1

* Thu Jul 31 2008 Nigel Jones <dev@nigelj.com> - 1.2.0-2.1
- ifarching foo broke... now fixed

* Wed Jul 30 2008 Nigel Jones <dev@nigelj.com> - 1.2.0-2
- Reenable boo, I can't see why not now...

* Wed Jul 30 2008 Nigel Jones <dev@nigelj.com> - 1.2.0-1
- Update to 1.2.0 (new upstream release)
- Refer to: http://banshee-project.org/download/archives/1.2.0/ for more details

* Fri Jul 4 2008 Nigel Jones <dev@nigelj.com> - 1.0.0-2
- Bump for new gnome-sharp

* Fri Jun 6 2008 Nigel Jones <dev@nigelj.com> - 1.0.0-1
- Banshee goes GOLD!

* Wed Jun 4 2008 Nigel Jones <dev@nigelj.com> - 0.99.3-2
- Disable boo (again) - Broken dependencies and 'issues'

* Sat May 30 2008 Nigel Jones <dev@nigelj.com> - 0.99.3-1
- New Upstream Release (0.99.3) - RC 1

* Tue May 27 2008 Nigel Jones <dev@nigelj.com> - 0.99.2-3
- Rebuild for new gtk-sharp2

* Sat May 24 2008 Nigel Jones <dev@nigelj.com> - 0.99.2-2
- Rebuild & correct BR

* Fri May 23 2008 Nigel Jones <dev@nigelj.com> - 0.99.2-1
- New Upstream Release (0.99.2) - Beta 2
- Enable podcast & boo

* Sat May 5 2008 Nigel Jones <dev@nigelj.com> - 0.99.1-1.1
- Fix brainfart...  Comment out the cp for Source1 which I moved out of the way

* Sat May 5 2008 Nigel Jones <dev@nigelj.com> - 0.99.1-1
- New Upstream Release (0.99.1) - Beta 1 (Closes: Bug# 445449)
- boo doesn't work quite yet for us, this will most likely be enabled in a -2
  build (README.Fedora hence removed from sources)
- Spec file improvements per guidelines
- Put .pc files in their proper place

* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.98.3-2
- adding BR: mono-addins-devel

* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.98.3-1
- update to 0.98.3 (which doesn't have any prebuilt binaries in it)

* Thu Feb 21 2008 David Nielsen <david@lovesunix.net> - 0.13.3-4
- revert to using bundled boo as external has no ppc support currently

* Thu Feb 21 2008 David Nielsen <david@lovesunix.net> - 0.13.2-3
- Use external boo and ndesk-dbus
- Nicer workaround to gstreamer-plugin detection problem

* Fri Jan 18 2008 Matthias Clasen <mclasen@redhat.com> - 0.13.2-2
- Add content-type support

* Mon Jan 14 2008 Christopher Aillon <caillon@redhat.com> - 0.13.2-1
- Update to 0.13.2

* Fri Aug 31 2007 Christopher Aillon <caillon@redhat.com> - 0.13.1-1
- Update to 0.13.1

* Tue Aug  7 2007 Christopher Aillon <caillon@redhat.com> - 0.13.0-1
- Update to 0.13.0

* Sun May  6 2007 Matthias Clasen <mclasen@redhat.com> - 0.12.1-3
- Own /usr/share/banshee (#233823)

* Tue Apr 17 2007 Christopher Aillon <caillon@redhat.com> - 0.12.1-2
- Fix typo in schemas

* Thu Apr  5 2007 Christopher Aillon <caillon@redhat.com> - 0.12.1-1
- Update to 0.12.1

* Fri Mar 30 2007 Christopher Aillon <caillon@redhat.com> - 0.12.0-5
- Fix up schema installs

* Fri Mar 23 2007 Christopher Aillon <caillon@redhat.com> - 0.12.0-4
- Some more updates to the file list

* Tue Mar 20 2007 Christopher Aillon <caillon@redhat.com> - 0.12.0-3
- Remove %%{_datadir}/icons/hicolor/* from %%files

* Wed Mar  7 2007 Christopher Aillon <caillon@redhat.com> - 0.12.0-2
- Add gstreamer-plugins-good as a build dep for gconfaudiosink

* Wed Mar  7 2007 Christopher Aillon <caillon@redhat.com> - 0.12.0-1
- Update to 0.12.0

* Fri Feb  2 2007 Christopher Aillon <caillon@redhat.com> - 0.11.5-1
- Update to 0.11.5

* Fri Sep  1 2006 Christopher Aillon <caillon@redhat.com> - 0.10.12-4
- Register banshee-notificationareaicon.schemas in %%post (bug 185605)
- Add dllmap for libdbus-glib so banshee works without dbus-glib-devel
  (bug 202990)

* Mon Aug 28 2006 Christopher Aillon <caillon@redhat.com> - 0.10.12-3
- Rebuild

* Sat Aug 26 2006 Christopher Aillon <caillon@redhat.com> - 0.10.12-2
- For some reason, the last build picked up dependencies on both
  mono(glib-sharp) = 2.8.0.0 and mono(glib-sharp) = 2.10.0.0
  Not sure why, but hopefully this rebuild fixes it....

* Wed Aug 23 2006 Christopher Aillon <caillon@redhat.com> - 0.10.12-1
- Update to 0.10.12
- Build against newer mono stack

* Mon Aug  7 2006 Nalin Dahyabhai <nalin@redhat.com> - 0.10.11-1
- Update to 0.10.11
- Buildrequire: dbus-sharp-devel, because configure looks for it
- Buildrequire: gettext-devel, because configure looks for its copy of msgfmt

* Fri Jun 16 2006 Jeremy Katz <katzj@redhat.com> - 0.10.10-2
- rebuild against new nautilus-cd-burner
- hack to get it to build

* Tue May  2 2006 Christopher Aillon <caillon@redhat.com> 0.10.10-1
- Update to 0.10.10

* Tue Mar 21 2006 Christopher Aillon <caillon@redhat.com> 0.10.9-1
- Update to 0.10.9

* Tue Mar 14 2006 Christopher Aillon <caillon@redhat.com> 0.10.8-1
- Update to 0.10.8

* Thu Mar  9 2006 Christopher Aillon <caillon@redhat.com> 0.10.7-2
- Add explicit Requires on libipoddevice (#184482)

* Tue Mar  7 2006 Christopher Aillon <caillon@redhat.com> 0.10.7-1
- Update to 0.10.7
- Fix build on x86-64

* Mon Mar  6 2006 Christopher Aillon <caillon@redhat.com> 0.10.6-3
- Don't build with smp_mflags, as parallel make causes the build to fail

* Sat Mar  4 2006 Christopher Aillon <caillon@redhat.com> 0.10.6-2
- Rebuild

* Tue Feb 21 2006 Christopher Aillon <caillon@redhat.com> 0.10.6-1
- Initial RPM
